SPA QR Codes

SPA: Retrieves a paginated list of QR Codes

Returns a paginated list of QR codes for the authenticated user's client.

GET/api/spa/qr-codes

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Query Parameters

page
integerdefault:1

The collection page number

itemsPerPage
integerdefault:20

The number of items per page

pagination
boolean

Enable or disable pagination

order[id]
stringdefault:asc

No description provided.

order[identifier]
stringdefault:asc

No description provided.

order[size]
stringdefault:asc

No description provided.

order[activeFrom]
stringdefault:asc

No description provided.

order[active]
stringdefault:asc

No description provided.

order[createdAt]
stringdefault:asc

No description provided.

order[updatedAt]
stringdefault:asc

No description provided.

brandIdentifier
string

No description provided.

brandIdentifier[]
string[]

No description provided.

identifier
string

No description provided.

search
string

Search across multiple fields (id, identifier, brandIdentifier, text, margin, size, dark, light, ecLevel, centerImageUrl, centerImageSizeRatio, caption, captionFontFamily, captionFontSize, captionFontColor, activeFrom, active, subClientDefault, createdAt, updatedAt, subClient.description) using OR logic with partial matching.

active
boolean

No description provided.

activeFrom[before]
string

No description provided.

activeFrom[strictly_before]
string

No description provided.

activeFrom[after]
string

No description provided.

activeFrom[strictly_after]
string

No description provided.

Response

200application/json

QrCode collection

id
integer

Id generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Unique QR-Code Identifier

Example: "myqr"

text
string

QR data context. <<>> syntax is supported.

Example: "https://output.rocks"

margin
integer

Whitespace around QR image

Example: 4

size
integer

Width and height dimension of the image

Example: 150

dark
string

Hex color code of "dark" QR grid cells

Example: "000000"

light
string

Hex color code of "light" QR grid cells

Example: "FFFFFF"

ecLevel
enum<string>

Error correction level (L, M, Q, H)

Available options: LMQH

Example: "M"

centerImageUrl
string

Center image URL. Supports regular URLs or base64 data URIs.

Example: "https://app.output.rocks/build/images/vertical-logo.png"

centerImageSizeRatio
integer

How much space to take up, between 0.0 and 1.0

Example: 0.3

caption
string

Caption text to display below the QR code.

Example: "My Caption"

captionFontFamily
string

Font family of the caption text.

Example: "sans-serif"

captionFontSize
integer

Font size of the caption text in pixels.

Example: 10

captionFontColor
string

Color caption text, hex code.

Example: "000000"

templates
string[]
createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

brandIdentifier
stringrequired

Example: "default"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"

subClientDefault
boolean

Default for environmental tenants (sub-clients)

Available options: truefalse

Example: false

subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"